## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check

%global crate asahi-bless

Name:           rust-asahi-bless
Version:        0.1.0
Release:        %autorelease
Summary:        Tool to select active boot partition on ARM Macs

License:        MIT
URL:            https://crates.io/crates/asahi-bless
Source:         %{crates_source}
# https://github.com/WhatAmISupposedToPutHere/asahi-nvram/pull/2
Source:         https://github.com/WhatAmISupposedToPutHere/asahi-nvram/raw/b11f76a8fbe68edee191ee344f8c88b993d4bd5b/LICENSE

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A tool to select active boot partition on ARM Macs.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# Zlib
License:        MIT AND Zlib AND (Apache-2.0 OR MIT)

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%{_bindir}/asahi-bless

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp -p %SOURCE1 .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%cargo_license_summary
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Jul 24 2023 Fabio Valentini <decathorpe@gmail.com> - 0.1.0-2
- Add missing license information for binary subpackage

* Mon Jul 24 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 0.1.0-1
- Initial import; Fixes: RHBZ#2224855
